{% extends 'users/base.html' %}

{% block content %}

    <div class="row">
        <div class="col-md">
            <div class="card card-body">
                <legend class="border-bottom mb-4">PROFILE</legend>
                <p><b>Name:</b> {{ profile.name }}</p>
                {% for schools in profile.schools.all %}
                <p><b>School:</b> {{ schools }}</p>
                {% endfor %}
                <p><b>Grades:</b> {{ profile.grades }}</p>
            </div>
        </div>

        <!-- <div class="col-md">
            <div class="card card-body">
                <h5>Items Needed</h5>
                <hr>
                <h1 style="text-align: center;padding: 10px">{{ total_items }}</h1>
            </div>
        </div>

        <div class="col-md">
            <div class="card card-body">
                <h5>Items Fulfilled</h5>
                <hr>
                <h1 style="text-align: center;padding: 10px">{{ total_items }}</h1>
            </div>
        </div>
    </div> -->
    <div class="row pt-4">
        <div class="col-md">
            <div class="card card-body">
                <legend class="border-bottom mb-4">ITEMS</legend>
                <table class="table table-sm">
                    <tr>
                        <th>Teacher</th>
                        <th>Name</th>
                        <th>Category</th>
                        <th>Description</th>
                        <th>Quantity</th>
                        <th>Total</th>
                        <th>Status</th>
                    </tr>
                    {% for item in items %}
                    <tr>
                        <th>{{ item.profile_requested }}</th>
                        <th>{{ item.name }}</th>
                        <th>{{ item.category }}</th>
                        <th>{{ item.description }}</th>
                        <th>{{ item.quantity }}</th>
                        <th>{{ item.total }}</th>
                        <th>{{ item.status }}</th>
                    </tr>
                    {% endfor %}

                </table>
            </div>
        </div>
    </div>
    
    
{% endblock %}